package kieker.webgui.beans;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

/**
 * This simple bean can be used to store a string. It can be used for a single request.
 * 
 * @author Nils Christian Ehmke
 */
@ManagedBean
@RequestScoped
public class StringBean {

	private String string;

	/**
	 * Creates a new instance of this bean and initializes it with an empty string.
	 */
	public StringBean() {
		this.string = "";
	}

	/**
	 * Delivers the value of this bean.
	 * 
	 * @return The current string stored within this bean.
	 */
	public String getString() {
		return string;
	}

	/**
	 * Sets the value of this bean.
	 * 
	 * @param string
	 *            The new string to be stored within this bean.
	 */
	public void setString(String string) {
		this.string = string;
	}

	/**
	 * Clears the bean; in other words: Sets the value of this bean to an empty string.
	 */
	public void clear() {
		this.string = "";
	}
}
